## sword 1.5.9

=== bindings/corba/java/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 TOMCAT_HOME=/usr/local/tomcat
-instdir=/home/swordweb/livehtml
+instdir=/home/swordweb/livehtml/webapp
 all: src/org/crosswire/sword/orb/SWMgr.java classes/org/crosswire/sword/orb/SwordOrb.class
 
 src/org/crosswire/sword/orb/SWMgr.java: ../swordorb.idl
@@ -10,11 +10,11 @@
 
 
 clean:
-	rm src/org/crosswire/sword/orb/SW*.java
-	rm src/org/crosswire/sword/orb/_SW*.java
-	rm src/org/crosswire/sword/orb/Mod*.java
-	rm src/org/crosswire/sword/orb/Search*.java
-	rm src/org/crosswire/sword/orb/String*.java
+	rm -f src/org/crosswire/sword/orb/SW*.java
+	rm -f src/org/crosswire/sword/orb/_SW*.java
+	rm -f src/org/crosswire/sword/orb/Mod*.java
+	rm -f src/org/crosswire/sword/orb/Search*.java
+	rm -f src/org/crosswire/sword/orb/String*.java
 	rm -rf classes/*
 
 install:
