=== debian/changelog ===
sword (1.6.0a-0maemo1) unstable; urgency=low

  * Initial release from svn rev 2464 - Maemo-ized.

 -- Nathan Anderson <nathan@andersonsplace.net>  Mon, 19 Oct 2009 21:53:19 -0500
