=== debian/control ===
Source: sword
Priority: optional
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), libcurl3, libcurl3-dev, libicu42, libicu42-dev, clucene-core, clucene-core-dev, zlib1g-dev, zlib1g, python2.5, python2.5-dev, swig1.3 (>= 1.3.40), maemo-optify
Standards-Version: 3.7.3
Section: libs

Package: sword16-dev
Section: libdevel
Architecture: any
Depends: sword (= ${Source-Version})
Description: Sword library for Bible programs (dev)
 Bible Sword Library

Package: sword16
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clucene-core, libicu42
Description: Sword library for Bible programs
 Bible Sword Library
 
Package: python-sword16
Section: libs
Architecture: any
Depends: sword (= ${Source-Version})
Description: Python Bindings for Sword 1.6.0
 Python Bindings for Sword
