## sword 1.6.0a-0maemo2

=== debian/changelog ===
sword (1.6.0a-0maemo2) unstable; urgency=low

  * Fix the depends

 -- Nathan Anderson <nathan@andersonsplace.net>  Mon, 24 Oct 2009 18:53:19 -0500
